CEGUI Logo
This issue tracker is now in read-only mode. We migrated all our old bug reports to our bitbucket issue tracker
Please use our new issue tracker to report bugs. You can easily find all mantis tickets on our new issue tracker by selecting the appropriate bitbucket repo (CEGUI/CEED/Silly) and searching for the mantis ticket ID number.

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000383CEGUICore library (CEGUIBase)public2010-08-08 18:242010-08-27 09:18
ReporterKulik 
Assigned ToCrazyEddie 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version0.7.1 
Target Version0.7.2Fixed in VersionMercurial: default branch 
Summary0000383: TabControl::makeButtonName(Window* wnd) can potentially create colliding names
DescriptionString TabControl::makeButtonName(Window* wnd) creates names based on the name of given wnd.
Additional InformationIf we pick 2 windows - "1/Collision" and "2/Collision" and add them to TabControl, CEGUI will crash because 2 buttons with same name "Collision" will be created.

I propose making this method generate names based on pointer to wnd. This should be unique in all situations and won't break any existing functionality.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000480)
CrazyEddie (administrator)
2010-08-27 09:18

Fixed in branches/v0-7 r2606.

Went with a fix that appends the entire window name rather than just the last part of the name. This was preferred over the use of names based on window pointers to ensure that the buttons remain accessible (using WindowManager::getWindow and others) via known text based name construction, since that is not possible using memory address based names.

- Issue History
Date Modified Username Field Change
2010-08-08 18:24 Kulik New Issue
2010-08-23 06:50 CrazyEddie Target Version 0.8.3 => 0.7.2
2010-08-23 06:50 CrazyEddie Status new => assigned
2010-08-23 06:50 CrazyEddie Assigned To => CrazyEddie
2010-08-27 08:44 CrazyEddie Status assigned => confirmed
2010-08-27 09:18 CrazyEddie Note Added: 0000480
2010-08-27 09:18 CrazyEddie Status confirmed => resolved
2010-08-27 09:18 CrazyEddie Fixed in Version 0.8.3 => Mercurial: default branch
2010-08-27 09:18 CrazyEddie Resolution open => fixed
Get Crazy Eddies GUI System at SourceForge.net. Fast, secure and Free Open Source software downloads


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker